diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/tcp-westwood-plus.cc ns-3.43/src/internet/model/tcp-westwood-plus.cc
--- ns-3.42/src/internet/model/tcp-westwood-plus.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/model/tcp-westwood-plus.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 ResiliNets, ITTC, University of Kansas
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Siddharth Gangadhar <siddharth@ittc.ku.edu>,
  *          Truc Anh N. Nguyen <annguyen@ittc.ku.edu>,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/tcp-westwood-plus.h ns-3.43/src/internet/model/tcp-westwood-plus.h
--- ns-3.42/src/internet/model/tcp-westwood-plus.h	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/model/tcp-westwood-plus.h	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 ResiliNets, ITTC, University of Kansas
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Siddharth Gangadhar <siddharth@ittc.ku.edu>, Truc Anh N. Nguyen <annguyen@ittc.ku.edu>,
  * and Greeshma Umapathi
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/tcp-yeah.cc ns-3.43/src/internet/model/tcp-yeah.cc
--- ns-3.42/src/internet/model/tcp-yeah.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/model/tcp-yeah.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 ResiliNets, ITTC, University of Kansas
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Truc Anh N. Nguyen <annguyen@ittc.ku.edu>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/tcp-yeah.h ns-3.43/src/internet/model/tcp-yeah.h
--- ns-3.42/src/internet/model/tcp-yeah.h	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/model/tcp-yeah.h	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 ResiliNets, ITTC, University of Kansas
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Truc Anh N. Nguyen <annguyen@ittc.ku.edu>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/udp-header.cc ns-3.43/src/internet/model/udp-header.cc
--- ns-3.42/src/internet/model/udp-header.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/model/udp-header.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/udp-header.h ns-3.43/src/internet/model/udp-header.h
--- ns-3.42/src/internet/model/udp-header.h	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/model/udp-header.h	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/udp-l4-protocol.cc ns-3.43/src/internet/model/udp-l4-protocol.cc
--- ns-3.42/src/internet/model/udp-l4-protocol.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/model/udp-l4-protocol.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/udp-l4-protocol.h ns-3.43/src/internet/model/udp-l4-protocol.h
--- ns-3.42/src/internet/model/udp-l4-protocol.h	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/model/udp-l4-protocol.h	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005,2006,2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/udp-socket.cc ns-3.43/src/internet/model/udp-socket.cc
--- ns-3.42/src/internet/model/udp-socket.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/model/udp-socket.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/udp-socket-factory.cc ns-3.43/src/internet/model/udp-socket-factory.cc
--- ns-3.42/src/internet/model/udp-socket-factory.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/model/udp-socket-factory.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/udp-socket-factory.h ns-3.43/src/internet/model/udp-socket-factory.h
--- ns-3.42/src/internet/model/udp-socket-factory.h	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/model/udp-socket-factory.h	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/udp-socket-factory-impl.cc ns-3.43/src/internet/model/udp-socket-factory-impl.cc
--- ns-3.42/src/internet/model/udp-socket-factory-impl.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/model/udp-socket-factory-impl.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/udp-socket-factory-impl.h ns-3.43/src/internet/model/udp-socket-factory-impl.h
--- ns-3.42/src/internet/model/udp-socket-factory-impl.h	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/model/udp-socket-factory-impl.h	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/udp-socket.h ns-3.43/src/internet/model/udp-socket.h
--- ns-3.42/src/internet/model/udp-socket.h	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/model/udp-socket.h	2024-10-09 16:41:09.892655800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2006 Georgia Tech Research Corporation
  *               2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: George F. Riley<riley@ece.gatech.edu>
  *          Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/udp-socket-impl.cc ns-3.43/src/internet/model/udp-socket-impl.cc
--- ns-3.42/src/internet/model/udp-socket-impl.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/model/udp-socket-impl.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/udp-socket-impl.h ns-3.43/src/internet/model/udp-socket-impl.h
--- ns-3.42/src/internet/model/udp-socket-impl.h	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/model/udp-socket-impl.h	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/windowed-filter.h ns-3.43/src/internet/model/windowed-filter.h
--- ns-3.42/src/internet/model/windowed-filter.h	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/model/windowed-filter.h	2024-10-09 16:41:09.892655800 -0700
@@ -1,31 +1,7 @@
 /*
- *  Copyright (c) 2016 The Chromium Authors. All rights reserved.
+ * Copyright (c) 2016 The Chromium Authors. All rights reserved.
  *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are
- * met:
- *
- *    * Redistributions of source code must retain the above copyright
- * notice, this list of conditions and the following disclaimer.
- *    * Redistributions in binary form must reproduce the above
- * copyright notice, this list of conditions and the following disclaimer
- * in the documentation and/or other materials provided with the
- * distribution.
- *    * Neither the name of Google Inc. nor the names of its
- * contributors may be used to endorse or promote products derived from
- * this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
- * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
- * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
- * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
- * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
- * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ * SPDX-License-Identifier: BSD-3-Clause
  */
 
 /*
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/global-route-manager-impl-test-suite.cc ns-3.43/src/internet/test/global-route-manager-impl-test-suite.cc
--- ns-3.42/src/internet/test/global-route-manager-impl-test-suite.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/test/global-route-manager-impl-test-suite.cc	2024-10-09 16:41:09.892655800 -0700
@@ -2,18 +2,7 @@
  * Copyright 2007 University of Washington
  * Copyright (C) 1999, 2000 Kunihiro Ishiguro, Toshiaki Takada
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:  Tom Henderson (tomhend@u.washington.edu)
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/icmp-test.cc ns-3.43/src/internet/test/icmp-test.cc
--- ns-3.42/src/internet/test/icmp-test.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/test/icmp-test.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Ritsumeikan University, Shiga, Japan.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Alberto Gallegos Ramonet <ramonet@fc.ritsumei.ac.jp>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/internet-stack-helper-test-suite.cc ns-3.43/src/internet/test/internet-stack-helper-test-suite.cc
--- ns-3.42/src/internet/test/internet-stack-helper-test-suite.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/test/internet-stack-helper-test-suite.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2023 Universita' di Firenze
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv4-address-generator-test-suite.cc ns-3.43/src/internet/test/ipv4-address-generator-test-suite.cc
--- ns-3.42/src/internet/test/ipv4-address-generator-test-suite.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/test/ipv4-address-generator-test-suite.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/ipv4-address-generator.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv4-address-helper-test-suite.cc ns-3.43/src/internet/test/ipv4-address-helper-test-suite.cc
--- ns-3.42/src/internet/test/ipv4-address-helper-test-suite.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/test/ipv4-address-helper-test-suite.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/ipv4-address-generator.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv4-deduplication-test.cc ns-3.43/src/internet/test/ipv4-deduplication-test.cc
--- ns-3.42/src/internet/test/ipv4-deduplication-test.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/test/ipv4-deduplication-test.cc	2024-10-09 16:41:09.892655800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2013 Universita' di Firenze
  * Copyright (c) 2019 Caliola Engineering, LLC : RFC 6621 multicast packet de-duplication
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  * Modified (2019): Jared Dulmage <jared.dulmage@caliola.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv4-forwarding-test.cc ns-3.43/src/internet/test/ipv4-forwarding-test.cc
--- ns-3.42/src/internet/test/ipv4-forwarding-test.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/test/ipv4-forwarding-test.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Universita' di Firenze
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv4-fragmentation-test.cc ns-3.43/src/internet/test/ipv4-fragmentation-test.cc
--- ns-3.42/src/internet/test/ipv4-fragmentation-test.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/test/ipv4-fragmentation-test.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv4-global-routing-test-suite.cc ns-3.43/src/internet/test/ipv4-global-routing-test-suite.cc
--- ns-3.42/src/internet/test/ipv4-global-routing-test-suite.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/test/ipv4-global-routing-test-suite.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/boolean.h"
